> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # List rooms with ABAC attributes >
Defense
- Lists rooms with ABAC attributes. - Returns a paginated list of rooms that have ABAC attributes configured, with optional filtering by room name, attribute key, or attribute value using the `filter` and `filterType` query parameters. - Requires the `abac-management` and `manage-abac-admin-rooms` permissions. ### Changelog | Version | Description | | ------- | ----------- | | 8.0.0 | Added | | 8.5.0 | Added the `manage-abac-admin-rooms` granular permission requirement. | ## OpenAPI ````json GET /api/v1/abac/rooms { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/abac/rooms": { "parameters": [], "get": { "summary": "List rooms with ABAC attributes", "tags": [ "ABAC" ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "rooms": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "name": { "type": "string" }, "t": { "type": "string" }, "abacAttributes": { "type": "array", "items": { "type": "object", "properties": { "key": { "type": "string" }, "values": { "type": "array", "items": { "type": "string" } } } } } } } }, "offset": { "type": "integer" }, "count": { "type": "integer" }, "total": { "type": "integer" } }, "x-examples": { "Example 1": { "success": true, "rooms": [ { "_id": "ROOM_ID", "name": "private-room", "t": "p", "abacAttributes": [ { "key": "my_department", "values": [ "eng", "sales" ] } ] } ], "offset": 0, "count": 25, "total": 1 } } }, "examples": { "Success": { "value": { "success": true, "rooms": [ { "_id": "ROOM_ID", "name": "private-room", "t": "p", "abacAttributes": [ { "key": "my_department", "values": [ "eng", "sales" ] } ] } ], "offset": 0, "count": 25, "total": 1 } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } }, "x-examples": { "Example 1": { "success": false, "error": "error-invalid-query-parameters" } } }, "examples": { "Invalid query": { "value": { "success": false, "error": "error-invalid-query-parameters" } } } } } }, "401": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } }, "x-examples": { "Example 1": { "success": false, "error": "error-unauthorized" } } }, "examples": { "Unauthorized login attempt": { "value": { "success": false, "error": "error-unauthorized" } } } } } }, "403": { "description": "Forbidden", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } }, "x-examples": { "Example 1": { "success": false, "error": "error-not-authorized" } } }, "examples": { "Missing required ABAC permissions": { "value": { "success": false, "error": "error-not-authorized" } } } } } } }, "operationId": "get-abac-rooms", "description": "
\"Defense\"
\n\n- Lists rooms with ABAC attributes.\n- Returns a paginated list of rooms that have ABAC attributes configured, with optional filtering by room name, attribute key, or attribute value using the `filter` and `filterType` query parameters.\n- Requires the `abac-management` and `manage-abac-admin-rooms` permissions.\n\n### Changelog\n| Version | Description |\n| ------- | ----------- |\n| 8.0.0 | Added |\n| 8.5.0 | Added the `manage-abac-admin-rooms` granular permission requirement. |", "parameters": [ { "schema": { "type": "number" }, "in": "query", "name": "offset", "description": "Pagination offset (default 0)" }, { "schema": { "type": "number" }, "in": "query", "name": "count", "description": "Page size (default 25)" }, { "schema": { "type": "string" }, "in": "query", "name": "filter", "description": "Search text" }, { "schema": { "type": "string" }, "in": "query", "name": "filterType", "description": "One of: all, roomName, attribute, value" }, { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" } ] } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } } } } ````